Area :: Header
New tools, templates and workflows
Announcing Extension 2 for 3ds Max 2015 and 3ds Max Design 2015
Discussion Groups

FBX SDK

Reply
Active Member
CarstenF
Posts: 8
Registered: ‎02-26-2011

2012.1 SDK under Ubuntu Linux

170 Views, 1 Replies
07-15-2011 05:43 AM
Hello everyone,

for use in our game and graphics engine Cafu, I just upgraded to the latest 2012.1 FBX SDK on my Ubuntu 10.10 and 11.04 systems.

It works very well, but I had to make the following changes to the header files:


diff -ru ExtLibs/fbx_vendor_2012_1/include/fbxfilesdk/components/kfcurve/kfcurve.h ExtLibs/fbx/include/fbxfilesdk/components/kfcurve/kfcurve.h
--- ExtLibs/fbx_vendor_2012_1/include/fbxfilesdk/components/kfcurve/kfcurve.h 2011-03-03 09:22:23.000000000 +0100
+++ ExtLibs/fbx/include/fbxfilesdk/components/kfcurve/kfcurve.h 2011-07-15 14:11:57.000000000 +0200
@@ -3209,17 +3209,17 @@
{
// To Modify, don't need to check the data for some Flags.
return (this == &pRsh) ||
- mFlags == pRsh.mFlags &&
+ (mFlags == pRsh.mFlags &&
mData == pRsh.mData &&
mData == pRsh.mData &&
#ifdef KFCURVE_FLOAT
mData == pRsh.mData &&
- mData == pRsh.mData;
+ mData == pRsh.mData);
#else
mWeight == pRsh.mWeight &&
mWeight == pRsh.mWeight &&
mVelocity == pRsh.mVelocity &&
- mVelocity == pRsh.mVelocity;
+ mVelocity == pRsh.mVelocity);
#endif
}

diff -ru ExtLibs/fbx_vendor_2012_1/include/fbxfilesdk/components/libxml2-2.6.4/include/libxml/xmlversion.h ExtLibs/fbx/include/fbxfilesdk/components/libxml2-2.6.4/include/libxml/xmlversion.h
--- ExtLibs/fbx_vendor_2012_1/include/fbxfilesdk/components/libxml2-2.6.4/include/libxml/xmlversion.h 2011-03-03 09:22:23.000000000 +0100
+++ ExtLibs/fbx/include/fbxfilesdk/components/libxml2-2.6.4/include/libxml/xmlversion.h 2011-07-15 14:10:41.000000000 +0200
@@ -326,7 +326,7 @@
*/
#ifdef __GNUC__
#ifdef HAVE_ANSIDECL_H
-#include <ansidecl.h>
+// #include <ansidecl.h> // Why and where is HAVE_ANSIDECL_H defined...??
#endif
#ifndef ATTRIBUTE_UNUSED
//#define ATTRIBUTE_UNUSED __attribute__((unused))
diff -ru ExtLibs/fbx_vendor_2012_1/include/fbxfilesdk/fbxfilesdk_def.h ExtLibs/fbx/include/fbxfilesdk/fbxfilesdk_def.h
--- ExtLibs/fbx_vendor_2012_1/include/fbxfilesdk/fbxfilesdk_def.h 2011-03-03 09:22:24.000000000 +0100
+++ ExtLibs/fbx/include/fbxfilesdk/fbxfilesdk_def.h 2011-07-15 14:09:21.000000000 +0200
@@ -150,7 +150,7 @@
#elif defined(KARCH_DEV_MACOSX) // Metrowerks compiler
#define K_DEPRECATED
#else // Unknown compiler
- #error Unknown compiler, can't define K_DECRECATED
+ #error Unknown compiler, cannot define K_DECRECATED
#endif

#include <fbxfilesdk/fbxfilesdk_memory.h>


I'm not sure if it only affects me, or Ubuntu 10.10 and newer systems, but it looks like these changes need to be made on several systems for getting the 2012.1 SDK to work.

Thus, any chance to apply these changes to the official FBX SDK as well?
Best regards,
Carsten

http://www.cafu.de
Please use plain text.
Distinguished Contributor
nian.wu
Posts: 124
Registered: ‎10-13-2008

Re: 2012.1 SDK under Ubuntu Linux

07-24-2011 09:38 PM in reply to: CarstenF
Thanks for reporting this to us.
We build FBX SDK with GCC 4.1.2. You got these errors because you use different (higher) GCC version.
Nian Wu
AutoDesk FBX Team
Please use plain text.